server:
  port: 8582

cms:
  service-name: notification-service
  env: prod

spring:
  application:
    name: notification-service-${cms.env}
  jpa:
    open-in-view: true
    show-sql: false
    database-platform: org.hibernate.dialect.PostgreSql9Dialect
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQL9Dialect
  datasource:
    url: jdbc:postgresql://localhost:5433/postgres?currentSchema=custom_notification_${cms.env}&binaryTransfer=true&reWriteBatchedInserts=true&stringtype=unspecified
    username: postgres
    password:
    driver-class-name: org.postgresql.Driver
    hikari:
      schema: custom_notification_${cms.env}
  flyway:
    url: jdbc:postgresql://localhost:5433/postgres
    user: postgres
    password:
    schemas: custom_notification_prod
    locations:
      - classpath:db/migration/structure